com.singularsys.jep

## Interface JepComponent

- All Superinterfaces:
    java.io.Serializable
  All Known Subinterfaces:
    Evaluator, GrammarParserFactory, NumberFactory, OperatorTableI, Parser, TokenizerFactory
  All Known Implementing Classes:
    BigDecFunctionTable, BigDecNumberFactory, BigDecOperatorTable, BitwiseOperatorTable, BoundVariableFactory, CaseInsensitiveFunctionTable, CaseInsensitiveVariableTable, ComponentSubset, ConfigurableParser, DeepCopyVisitor, DoNothingVisitor, DoubleNumberFactory, EmptyOperatorTable, ExpressionConsolidator, ExtendedOperatorSet, FastEvaluator, FunctionSet, FunctionTable, ImportationVisitor, JavaOperatorTable, LineNumberingNodeFactory, LineNumberingShuntingYard.LineNumberGrammarParserFactory, MacroFunction, ModifiedParserTest.SuffixArrayAccessShuntingYardGrammarParserFactory, NodeFactory, NullParser, NullWrappedFunctionFactory, NullWrappedFunctionTable, NullWrappedOperatorTable, OperatorTable, OperatorTable2, PostfixEvaluator, PrintVisitor, RealEvaluator, RealFunctionTable, RealVariableTable, ShuntingYard.ShuntingYardGrammarParserFactory, StackCheckingFastEvaluator, StandardConfigurableParser, StandardEvaluator, StandardFunctionTable, StandardOperatorTable, StandardOperatorTable2, StandardParser, StandardVariableTable, StringFunctionSet, SubstitutionVisitor, ThreadSafeEvaluator, Tokenizer.StandardTokenizerFactory, VariableFactory, VariableTable

      public interface JepComponent
      extends java.io.Serializable

  Base interface for all Jep components (parsers, evaluators etc).
  Author:
    Richard Morris

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JepComponent` | `getLightWeightInstance()` Gets a light-weight instance suitable for using in multiple threads.
    `void` | `init(Jep jep)` Initialize the component.

- - ### Method Detail

    - #### init

          void init(Jep jep)

      Initialize the component. This methods is called whenever a component is added to Jep. Hence it allows components to keep track of the other components they may rely on.
      Parameters:
        `jep` - the current Jep instance

    - #### getLightWeightInstance

          JepComponent getLightWeightInstance()

      Gets a light-weight instance suitable for using in multiple threads.
      Returns:
        either an new instance, or 'this'.

Copyright © 2018 Singular Systems http://www.singularsys.com/jep